# Nextcloud CheckMK Special Agent
Monitors various aspects of Nextcloud instances like state, quota and disk usage of all users, number of apps with available updates, database php opcache hit rate and so on.
Gives additional information regarding versions of Nextcloud, database, number of storages and active users etc.
Tested with Nextcloud 25/26/27.
Tested only with MySQL/MariaDB as database backend.
Feel free to report other working environments.

Version History:
--
|Date|Version|Changes|
|----|-------|-------|
|2023/08/16|2.3.3|Fixed some misleading info strings regarding database opcache|
|2023/08/12|2.3.2|MKP now compatible with CheckMK 2.2|
|2023/03/27|2.3.1|Fixed bugs in parameter handling|
|2023/03/23|2.2.1|Adjusted parameter handling|
|||Added check for "free space on disk" (incl. adjustable levels)|
|||Added adjustable levels for "number of files"|
|2023/03/11|2.2.0|Upload initial public release|

Example how the checks look like:
--
![Nextcloud Checks](images/Nextcloud-Checks.png)

Example of the details of the info check:
--
![Nextcloud Info Details](images/Nextcloud-Info-Details.png)
